# == Class: xymon::client::install
#
# Install Xymon client
#
class xymon::client::install {

  Exec {
    path      => [ '/bin', '/sbin', '/usr/bin', '/usr/sbin' ],
    logoutput => 'on_failure',
  }

  exec { 'Create download directory for Xymon client package':
    command => "mkdir -p -- ${xymon::client::download_dir}",
    creates => $xymon::client::download_dir,
  }
  ->
  ## Package
  # Download the latest Xymon package
  exec { 'Download Xymon Client':
    command  => "wget ${xymon::client::preconfig::dl_url}/${xymon::client::preconfig::pkg_name} -O ${xymon::client::preconfig::pkg_name}",
    cwd      => "${xymon::client::download_dir}",
    creates  => "${xymon::client::download_dir}/${xymon::client::preconfig::pkg_name}",
  }

} # Private class: xymon::client::install
